# Uses of Class
org.snpeff.interval.MarkerSeq

Packages that use MarkerSeq
Package
Description
org.snpeff.binseq
org.snpeff.interval

## Uses of MarkerSeq in org.snpeff.binseq

Classes in org.snpeff.binseq that implement interfaces with type arguments of type MarkerSeq
Modifier and Type
Class
Description
`class`
`GenomicSequences`
This class stores all "relevant" sequences in a genome This class is able to: i) Add all regions of interest ii) Store genomic sequences for those regions of interest iii) Retrieve genomic sequences by interval
Methods in org.snpeff.binseq that return MarkerSeq
Modifier and Type
Method
Description
`MarkerSeq`
GenomicSequences.`queryMarkerSequence(Marker marker)`
Find a marker (with sequence) containing query 'marker' Could trigger loading sequences form database
Methods in org.snpeff.binseq that return types with arguments of type MarkerSeq
Modifier and Type
Method
Description
`Iterator<MarkerSeq>`
GenomicSequences.`iterator()`

## Uses of MarkerSeq in org.snpeff.interval

Subclasses of MarkerSeq in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`Exon`
Interval for an exon
Methods in org.snpeff.interval that return MarkerSeq
Modifier and Type
Method
Description
`MarkerSeq`
MarkerSeq.`apply(Variant variant)`
Apply variant
`MarkerSeq`
MarkerSeq.`cloneShallow()`
Methods in org.snpeff.interval with parameters of type MarkerSeq
Modifier and Type
Method
Description
`protected void`
MarkerSeq.`applyDel(Variant variant, MarkerSeq markerSeq)`
Apply a change type deletion (update sequence)
`protected void`
MarkerSeq.`applyDup(Variant variant, MarkerSeq markerSeq)`
Apply a change type duplication (update sequence)
`protected void`
MarkerSeq.`applyIns(Variant variant, MarkerSeq markerSeq)`
Apply a change type insertion (update sequence)
`protected void`
MarkerSeq.`applyMnp(Variant variant, MarkerSeq markerSeq)`
Apply a change type MNP (update sequence)
`protected void`
MarkerSeq.`applySnp(Variant variant, MarkerSeq markerSeq)`
Apply a change type SNP (update sequence)